(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     29751,        762]
NotebookOptionsPosition[     28176,        730]
NotebookOutlinePosition[     28546,        746]
CellTagsIndexPosition[     28503,        743]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Point", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"k", "/", "n"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"k", "/", "n"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "+", "5"}], ")"}]}]}], ",", "2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"k", "/", "n"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
            RowBox[{"5", "+", 
             RowBox[{
              RowBox[{"k", "/", "n"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "5"}], "-", "5"}], ")"}]}]}], ",", 
            RowBox[{"-", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"5", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "-", "5"}], ")"}]}]}], ",", 
            RowBox[{"5", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "5"}], "-", "5"}], ")"}]}]}], ",", 
            RowBox[{"2", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"-", "4"}], ")"}]}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "5"}], "+", "5"}], ")"}]}]}], ",", 
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
            RowBox[{"2", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"-", "4"}], ")"}]}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}]}], "}"}], 
     ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "2", ",", "50", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.755608016559946*^9, {3.755608161041374*^9, 3.755608208425596*^9}, 
   3.755608640919387*^9, {3.7556086735630064`*^9, 3.7556087510965767`*^9}, {
   3.755608793095211*^9, 3.755608968826945*^9}, {3.7556090817528276`*^9, 
   3.7556092247671404`*^9}, {3.755609321374634*^9, 3.75560932382705*^9}, {
   3.7556105257509904`*^9, 3.7556105264491353`*^9}, 3.7556107496169863`*^9, {
   3.7556127256316323`*^9, 3.7556127974913454`*^9}, {3.7556128280525503`*^9, 
   3.755612829680216*^9}, {3.75569439379721*^9, 3.755694404927419*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"34df6edf-b42f-4bcf-af39-5ecbd2004f7b"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 2, 50, 1}}, Typeset`size$$ = {
    324., {133., 138.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$2227$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$2227$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Point[
          
          Table[{-5 + ($CellContext`k/$CellContext`n$$) (5 + 
              5), -5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
            2}, {$CellContext`k, 1, $CellContext`n$$}]], 
         Point[
          
          Table[{-5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
            5 + ($CellContext`k/$CellContext`n$$) (-5 - 
              5), -2}, {$CellContext`k, 1, $CellContext`n$$}]], 
         Point[
          
          Table[{5 + ($CellContext`k/$CellContext`n$$) (5 - 5), 
            5 + ($CellContext`k/$CellContext`n$$) (-5 - 5), 
            2 + ($CellContext`k/$CellContext`n$$) (-4)}, {$CellContext`k, 
            1, $CellContext`n$$}]], 
         Point[
          
          Table[{-5 + ($CellContext`k/$CellContext`n$$) (-5 + 
              5), -5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
            2 + ($CellContext`k/$CellContext`n$$) (-4)}, {$CellContext`k, 
            1, $CellContext`n$$}]]}, PlotRange -> {{-5, 5}, {-5, 5}, {-2, 2}},
         Axes -> True], "Specifications" :> {{$CellContext`n$$, 2, 50, 1}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{371., {175., 181.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.7556092295134077`*^9, 3.755609324815443*^9, 3.755610541311329*^9, 
   3.755610751489971*^9, {3.755611326207123*^9, 3.7556113278228416`*^9}, 
   3.7556128002289853`*^9, 3.7556128387419586`*^9, {3.7556943988656154`*^9, 
   3.7556944055387936`*^9}, 3.755959839328568*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"be452143-abfd-442d-9acc-c0e3bfe4df3a"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.755959842217826*^9, 
  3.755959842290631*^9}},ExpressionUUID->"ee53f9f3-9867-41f9-abc3-\
9c263089620f"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.755694408169753*^9, 
  3.7556944081916933`*^9}},ExpressionUUID->"f0753d40-9a30-4e58-97ef-\
c489f1f19bf2"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7556944091780214`*^9, 
  3.7556944091910305`*^9}},ExpressionUUID->"05533930-7497-44ab-8050-\
90947b09faf5"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7556128702955055`*^9, 
  3.755612870319473*^9}},ExpressionUUID->"4340d054-24a3-4974-baa0-\
2ca18ed224d6"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Collegare", " ", "i", " ", "punti", " ", "delle", " ", "due", " ", "liste",
    " ", "in", " ", "una", " ", "istruzione", " ", 
   RowBox[{"Table", "[", 
    RowBox[{"Line", "[", "]"}], "]"}], " ", "disegna", " ", "i", " ", 
   "segmenti"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.755612871824444*^9, 3.7556128718463874`*^9}, 
   3.7559598340167694`*^9},ExpressionUUID->"646f2fb6-c53c-4b0e-8539-\
aa4977f065d6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Line", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"5", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "-", "5"}], ")"}]}]}], ",", 
              RowBox[{"5", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "5"}], "-", "5"}], ")"}]}]}], ",", 
              RowBox[{"2", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"-", "4"}], ")"}]}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "5"}], "+", "5"}], ")"}]}]}], ",", 
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
              RowBox[{"2", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"-", "4"}], ")"}]}]}]}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"k", "/", "n"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"k", "/", "n"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "+", "5"}], ")"}]}]}], ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"k", "/", "n"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
              RowBox[{"5", "+", 
               RowBox[{
                RowBox[{"k", "/", "n"}], "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "5"}], "-", "5"}], ")"}]}]}], ",", 
              RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "50", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.755609981278885*^9, 3.7556100268459496`*^9}, {
   3.755610114353778*^9, 3.755610129547249*^9}, {3.7556101735404015`*^9, 
   3.755610202007265*^9}, {3.7556102457322636`*^9, 3.755610246193034*^9}, {
   3.7556103094457836`*^9, 3.75561031010499*^9}, 3.7556103401147313`*^9, {
   3.7556103738574357`*^9, 3.7556103945360746`*^9}, {3.7556106086292458`*^9, 
   3.7556106282936287`*^9}, {3.7556106679435315`*^9, 3.75561067518911*^9}, {
   3.755610765635088*^9, 3.755610841734499*^9}, {3.7556108905309143`*^9, 
   3.755610953008758*^9}, {3.75561113474746*^9, 3.755611134840188*^9}, {
   3.7556943787365108`*^9, 3.7556943789838486`*^9}, 3.7556944138255854`*^9, 
   3.7556944554851456`*^9},
 CellLabel->"In[12]:=",ExpressionUUID->"9c1f6dae-6c0b-4c31-bb38-cb0e7a3b0986"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 22, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 0, 50, 1}}, Typeset`size$$ = {
    323., {125., 130.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$4909$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$4909$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Line[
          
          Table[{{5 + ($CellContext`k/$CellContext`n$$) (5 - 5), 
             5 + ($CellContext`k/$CellContext`n$$) (-5 - 5), 
             2 + ($CellContext`k/$CellContext`n$$) (-4)}, {-5 + \
($CellContext`k/$CellContext`n$$) (-5 + 
               5), -5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
             2 + ($CellContext`k/$CellContext`n$$) (-4)}}, {$CellContext`k, 
            1, $CellContext`n$$}]], 
         Line[
          
          Table[{{-5 + ($CellContext`k/$CellContext`n$$) (5 + 
               5), -5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
             2}, {-5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
             5 + ($CellContext`k/$CellContext`n$$) (-5 - 
               5), -2}}, {$CellContext`k, 1, $CellContext`n$$}]]}, 
        PlotRange -> {{-5, 5}, {-5, 5}, {-2, 2}}, Axes -> True], 
      "Specifications" :> {{$CellContext`n$$, 0, 50, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{370., {167., 173.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.7556099835238657`*^9, 3.75561020856472*^9, 3.7556103126511736`*^9, 
   3.7556103437798786`*^9, 3.755610773900999*^9, 3.7556109577769656`*^9, 
   3.7556111368956757`*^9, 3.7556942473728013`*^9, 3.75569438024444*^9, {
   3.7556944153744545`*^9, 3.7556944577201653`*^9}},
 CellLabel->"Out[12]=",ExpressionUUID->"645f5255-b491-43ee-af16-659a7ff212e5"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Rappresentiamo", " ", "assieme", " ", "sia", " ", "i", " ", "punti", " ", 
   "che", " ", "i", " ", "segmenti"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7556098153379374`*^9, 3.7556098594967127`*^9}, {
  3.755609937574828*^9, 3.7556099641148124`*^9}, {3.755959874212216*^9, 
  3.7559599061048775`*^9}},ExpressionUUID->"3854c6ef-8e3b-455c-81b3-\
a5e9e20d7642"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Point", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"k", "/", "n"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"k", "/", "n"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "+", "5"}], ")"}]}]}], ",", "2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"k", "/", "n"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
            RowBox[{"5", "+", 
             RowBox[{
              RowBox[{"k", "/", "n"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "5"}], "-", "5"}], ")"}]}]}], ",", 
            RowBox[{"-", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"5", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "-", "5"}], ")"}]}]}], ",", 
            RowBox[{"5", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "5"}], "-", "5"}], ")"}]}]}], ",", 
            RowBox[{"2", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"-", "4"}], ")"}]}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "5"}], "+", "5"}], ")"}]}]}], ",", 
            RowBox[{
             RowBox[{"-", "5"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
            RowBox[{"2", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "/", "n"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"-", "4"}], ")"}]}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"5", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "-", "5"}], ")"}]}]}], ",", 
              RowBox[{"5", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "5"}], "-", "5"}], ")"}]}]}], ",", 
              RowBox[{"2", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"-", "4"}], ")"}]}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "5"}], "+", "5"}], ")"}]}]}], ",", 
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
              RowBox[{"2", "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"k", "/", "n"}], ")"}], "*", 
                RowBox[{"(", 
                 RowBox[{"-", "4"}], ")"}]}]}]}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"k", "/", "n"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"k", "/", "n"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "+", "5"}], ")"}]}]}], ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "5"}], "+", 
               RowBox[{
                RowBox[{"k", "/", "n"}], "*", 
                RowBox[{"(", 
                 RowBox[{"5", "+", "5"}], ")"}]}]}], ",", 
              RowBox[{"5", "+", 
               RowBox[{
                RowBox[{"k", "/", "n"}], "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "5"}], "-", "5"}], ")"}]}]}], ",", 
              RowBox[{"-", "2"}]}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "50", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.755611029078208*^9, 3.7556110457954807`*^9}, {
  3.755611093165741*^9, 3.755611093312344*^9}, {3.755694323659705*^9, 
  3.755694356911873*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"fcd9232a-f252-4953-9d59-aede5aae19be"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 30, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 0, 50, 1}}, Typeset`size$$ = {
    324., {133., 138.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$5103$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$5103$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Point[
          
          Table[{-5 + ($CellContext`k/$CellContext`n$$) (5 + 
              5), -5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
            2}, {$CellContext`k, 1, $CellContext`n$$}]], 
         Point[
          
          Table[{-5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
            5 + ($CellContext`k/$CellContext`n$$) (-5 - 
              5), -2}, {$CellContext`k, 1, $CellContext`n$$}]], 
         Point[
          
          Table[{5 + ($CellContext`k/$CellContext`n$$) (5 - 5), 
            5 + ($CellContext`k/$CellContext`n$$) (-5 - 5), 
            2 + ($CellContext`k/$CellContext`n$$) (-4)}, {$CellContext`k, 
            1, $CellContext`n$$}]], 
         Point[
          
          Table[{-5 + ($CellContext`k/$CellContext`n$$) (-5 + 
              5), -5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
            2 + ($CellContext`k/$CellContext`n$$) (-4)}, {$CellContext`k, 
            1, $CellContext`n$$}]], 
         Line[
          
          Table[{{5 + ($CellContext`k/$CellContext`n$$) (5 - 5), 
             5 + ($CellContext`k/$CellContext`n$$) (-5 - 5), 
             2 + ($CellContext`k/$CellContext`n$$) (-4)}, {-5 + \
($CellContext`k/$CellContext`n$$) (-5 + 
               5), -5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
             2 + ($CellContext`k/$CellContext`n$$) (-4)}}, {$CellContext`k, 
            1, $CellContext`n$$}]], 
         Line[
          
          Table[{{-5 + ($CellContext`k/$CellContext`n$$) (5 + 
               5), -5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
             2}, {-5 + ($CellContext`k/$CellContext`n$$) (5 + 5), 
             5 + ($CellContext`k/$CellContext`n$$) (-5 - 
               5), -2}}, {$CellContext`k, 1, $CellContext`n$$}]]}, 
        PlotRange -> {{-5, 5}, {-5, 5}, {-2, 2}}, Axes -> True], 
      "Specifications" :> {{$CellContext`n$$, 0, 50, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{371., {175., 181.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.755611081892851*^9, 3.7556110955732803`*^9}, 
   3.7556128832349167`*^9, {3.7556943591908107`*^9, 3.755694366357609*^9}, 
   3.7556944607370596`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"4f0e9518-b94a-4ee3-9de0-c4bf861ec206"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7556099666171274`*^9, 
  3.7556099696879005`*^9}},ExpressionUUID->"cb6092ed-436c-493b-88c4-\
b0fc409e55d7"]
},
WindowSize->{853, 720},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>0.9 Inherited,
FrontEndVersion->"11.3 for Microsoft Windows (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 4538, 124, 117, "Input",ExpressionUUID->"34df6edf-b42f-4bcf-af39-5ecbd2004f7b"],
Cell[5121, 148, 2945, 61, 374, "Output",ExpressionUUID->"be452143-abfd-442d-9acc-c0e3bfe4df3a"]
}, Open  ]],
Cell[8081, 212, 152, 3, 26, InheritFromParent,ExpressionUUID->"ee53f9f3-9867-41f9-abc3-9c263089620f"],
Cell[8236, 217, 154, 3, 26, "Input",ExpressionUUID->"f0753d40-9a30-4e58-97ef-c489f1f19bf2"],
Cell[8393, 222, 156, 3, 26, "Input",ExpressionUUID->"05533930-7497-44ab-8050-90947b09faf5"],
Cell[8552, 227, 154, 3, 26, "Input",ExpressionUUID->"4340d054-24a3-4974-baa0-2ca18ed224d6"],
Cell[8709, 232, 466, 10, 26, "Input",ExpressionUUID->"646f2fb6-c53c-4b0e-8539-aa4977f065d6"],
Cell[CellGroupData[{
Cell[9200, 246, 4644, 121, 117, "Input",ExpressionUUID->"9c1f6dae-6c0b-4c31-bb38-cb0e7a3b0986"],
Cell[13847, 369, 2733, 54, 358, "Output",ExpressionUUID->"645f5255-b491-43ee-af16-659a7ff212e5"]
}, Open  ]],
Cell[16595, 426, 414, 8, 26, "Input",ExpressionUUID->"3854c6ef-8e3b-455c-81b3-a5e9e20d7642"],
Cell[CellGroupData[{
Cell[17034, 438, 7389, 208, 171, "Input",ExpressionUUID->"fcd9232a-f252-4953-9d59-aede5aae19be"],
Cell[24426, 648, 3575, 74, 374, "Output",ExpressionUUID->"4f0e9518-b94a-4ee3-9de0-c4bf861ec206"]
}, Open  ]],
Cell[28016, 725, 156, 3, 26, "Input",ExpressionUUID->"cb6092ed-436c-493b-88c4-b0fc409e55d7"]
}
]
*)

